Subject: Re: managing git submodules with git-svn

From: Andreas Ericsson <[email-masked]>
Date: Wed, 20 Aug 2008 14:49:04 +0200

Rick Moynihan wrote:
> Hi all,
> 
> We are currently using a mixture of git and svn to manage a project with 
> an array of subprojects.  We use git primarily for its excellent 
> branching and merging support, and as a means of more effectively 
> managing commits etc...  We're not yet ready to make the leap entirely 
> to git and find subversion still has a role, primarily due to some 3rd 
> party upstream (e.g. Apache) projects using svn.  SVN is also better 
> supported by some of our tools/systems.
> 
> Our project is made up of a number of subprojects, and I'd like to use 
> git submodules to easily track and lock changes in component versions. 
> git submodules appear to do exactly this, versioning the meta-repo with 
> each subproject locked at a specific commit/SHA-1.
> 
> My question is; is there anyway to easily do this but have git use 
> git-svn manage the submodule?  I think this makes sense and suspect it 
> would be possible to do, though it looks like it's currently not a 
> feature.  Is this a feature anyone else would find useful?
> 

Off the top of my head, just point your submodule to the incremental
git-svn import of the upstream repository and you're good to go.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231